Bug 863539 - Weird behaviour when invoking 'yum groupremove xfce'
Weird behaviour when invoking 'yum groupremove xfce'
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
19
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-05 14:31 EDT by Georgiy Treyvus
Modified: 2015-02-17 09:29 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:29:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
transaction file don't know if this helps any (24.40 KB, application/octet-stream)
2012-10-05 14:31 EDT, Georgiy Treyvus
no flags Details

  None (edit)
Description Georgiy Treyvus 2012-10-05 14:31:04 EDT
Created attachment 622372 [details]
transaction file don't know if this helps any

Description of problem:

I did:
yum groupinstall xfce

That went okay. Then I decided I didn't want XFCE anymore so I went:
yum groupremove xfce

After the dependencies were resolved and I said yes go forward with the transaction the following error appeared:
ERROR with transaction check vs depsolve:
desktop-backgrounds-compat is needed by (installed) lightdm-gtk-1.3.1-1.fc19.x86_64
Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&version=rawhide&component=yum
 You could try running: rpm -Va --nofiles --nodigest
Your transaction was saved, rerun it with:
 yum load-transaction /tmp/yum_save_tx.2012-10-05.13-39.nVQH97.yumtx

It said to report the bug and I did. I also reported this because it claims it can't remove something because it's needed by lightdm which I never installed and don't know how that ended up on my system. Clearly something is amiss. Regardless the workaround was easy. All I had to do was:
yum remove *lightdm*
and then:
yum groupremove xfce
worked smoothely.


Version-Release number of selected component (if applicable):
[root@PANTHER georgiy]# yum --version
3.4.3
  Installed: rpm-4.10.1-1.fc19.x86_64 at 2012-10-04 23:19
  Built    : Fedora Project at 2012-10-03 10:22
  Committed: Panu Matilainen <pmatilai@redhat.com> at 2012-10-03

  Installed: yum-3.4.3-43.fc19.noarch at 2012-10-04 23:22
  Built    : Fedora Project at 2012-09-07 19:55
  Committed: James Antill <james at fedoraproject.org> at 2012-09-07
[root@PANTHER georgiy]# 


How reproducible:
Always


Additional info:
Not that it should effect things much but I had both clean_requirements_on_remove and groupremove_leaf_only set to 1 in /etc/yum.conf
Comment 1 Fedora End Of Life 2013-04-03 12:57:39 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Fedora End Of Life 2015-01-09 12:24:01 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 09:29:22 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.